PETSc version 3.15.5
Fix/Edit manual page

# MatMPIDenseSetPreallocation

Sets the array used to store the matrix entries

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMPIDenseSetPreallocation(Mat B,PetscScalar *data)

Collective

### Input Parameters

| B | - the matrix

| data | - optional location of matrix data. Set data=NULL for PETSc to control all matrix memory allocation.

### Notes

The dense format is fully compatible with standard Fortran 77 storage by columns.

The data input variable is intended primarily for Fortran programmers who wish to allocate their own matrix memory space. Most users should set data=NULL.

### See Also

MatCreate(), MatCreateSeqDense(), MatSetValues()

### Level

intermediate

### Location

src/mat/impls/dense/mpi/mpidense.c

### Implementations

MatMPIDenseSetPreallocation_MPIDense in src/mat/impls/dense/mpi/mpidense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages